print("Flat Engine Configuration Loaded")

--intialize enums and constants
PI = 3.14159;
TWOPI = 6.28318;
HALFPI = 1.57079;
THREEHALFPI = 4.712385;

--comic transition types
wipe_none = 0;
wipe_right = 1;
wipe_left = 2;
wipe_top = 3;
wipe_bottom = 4;
slide_right = 5;
slide_left = 6;
slide_top = 7;
slide_bottom = 8;

--load the resources

setDebug(false);

gofile("strings.lua");

gofile("luafunctions.lua");
gofile("textures.lua");
gofile("sounds.lua");
gofile("music.lua");
gofile("effects.lua");

--setChatMap(menu_back);
setChatMap(menu_metalDark);
setScoreBack(menu_backdrop);
setScoreEntry(menu_boxMetal);
setMenuShadow(menu_backdrop);

if netGetStartMode() == 0 then
gofile("cars.lua");
gofile("weapons.lua");
gofile("terrainInfo.lua");
gofile("townstores.lua");
gofile("missions.lua");
gofile("ghosts.lua");
gofile("reset.lua");
else
gofile("multiplayer/net_cars.lua");
gofile("multiplayer/net_weapons.lua");
gofile("terrainInfo.lua");
gofile("multiplayer/net_reset.lua");
setTextColor(1.0, 0.75, 0.3);
end



